Subject: Re: [PATCH] powerpc: Add support to access the flash on SLOF based systems

From: Arnd Bergmann <[email-masked]>
Date: Mon, 12 Jan 2009 18:29:57 +0100

On Monday 12 January 2009, Martyn Welch wrote:
> Adrian Reber wrote:
> > The reason why I did not use mtd is that part of the flash is used by
> > the firmware image and I do not know if that works with mtd, if only a
> > part of the flash can be used. SLOF does also a "CRC" check over the
> > firmware image, so that image must have valid SLOF "CRC". The flash is
> > a direct mapped flash, but the size of the firmware can vary.
>
> It can. MTD can create "partitions" within the flash, for an example
> see lines 84-110 of arch/powerpc/bootdts/sbc8641d.dts (http://tinyurl.com/7k2kym) 
> 
> Partitions can also be labeled as read-only, I guess the CRC could be
> checked from userspace as necessary. 

Murali has also done a modified firmware for experiments in the past where
he added the device tree entry for the flash on a PxCAB. As I recall, he did
not see any problems with that.

	Arnd <><